/* Estilos para el modal */
.modal1 {
    display: flex;
    justify-content: center; /* Centrar horizontalmente */
    align-items: center; /* Centrar verticalmente */
    position: fixed; 
    z-index: 9999; /* Asegurarse de que el modal esté frente a todo */
    left: 0;
    top: 0;
    width: 100%; 
    height: 100%; 
    background-color: rgba(0,0,0,0.4); /* Fondo semitransparente */
}

.modal-content1 {
    border: 1px solid #888;
    max-width: 100%; /* Ancho máximo del contenido del modal */
    max-height: 100%; /* Altura máxima del contenido del modal */
    overflow: auto; /* Habilitar desplazamiento si el contenido es demasiado largo */
    background-color: #00000052; /* Color de fondo del modal */
    position: relative; /* Para ajustar el contenido dentro del modal */
    padding: 20px; /* Espaciado interno del contenido */
    border-radius: 8px; /* Bordes redondeados */
}

.close1 {
    color: #fff;
    float: right;
    font-size: 45px;
    font-weight: bold;
    cursor: pointer;
}

.close1:hover,
.close1:focus {
    color: #fff;
    text-decoration: none;
}
